"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const value_1 = require("./value");
/**
 * Used to encode/decode {@link ListValue} objects.
 */
exports.list = {
    /**
     * Encodes an array of JSON values into a protobuf {@link ListValue}.
     *
     * @param {Array.<*>} values the JSON values.
     * @returns {ListValue}
     */
    encode(values) {
        return {
            values: values.map(value_1.value.encode)
        };
    },
    /**
     * Decodes a protobuf {@link ListValue} into an array of JSON values.
     *
     * @param {ListValue} list the protobuf list value.
     * @returns {Array.<*>}
     */
    decode({ values }) {
        return values.map(value_1.value.decode);
    }
};
//# sourceMappingURL=list.js.map